diff --git a/apps/CMakeLists.txt b/apps/CMakeLists.txt
index c837d77..00d7ff8 100644
--- a/apps/CMakeLists.txt
+++ b/apps/CMakeLists.txt
@@ -17,9 +17,19 @@
 # the Free Software Foundation, Inc., 51 Franklin Street,
 # Boston, MA 02110-1301, USA.
 
-include(GrPython)
-
-GR_PYTHON_INSTALL(
-    PROGRAMS
-    DESTINATION bin
+install(FILES
+    amp_var_est_hier.grc
+    cdma_rx.grc
+    cdma_rx1.grc
+    cdma_rx_hier.grc
+    cdma_rx_hier1.grc
+    cdma_tx.grc
+    cdma_tx1.grc
+    cdma_tx_hier.grc
+    cdma_tx_hier1.grc
+    cdma_txrx.grc
+    cdma_txrx1.grc
+    chopper_correlator.grc
+    qt_cdma_txrx.grc
+    DESTINATION share/gnuradio/examples/cdma
 )
diff --git a/python/CMakeLists.txt b/python/CMakeLists.txt
index 9870dde..5e81ec2 100644
--- a/python/CMakeLists.txt
+++ b/python/CMakeLists.txt
@@ -37,6 +37,13 @@ GR_PYTHON_INSTALL(
     DESTINATION ${GR_PYTHON_DIR}/cdma
 )
 
+install(FILES
+    fsm_files/awgn2o2_1.fsm
+    fsm_files/awgn2o3_8ungerboecka.fsm
+    fsm_files/awgn2o4_8_ungerboeckc.fsm
+    DESTINATION ${GR_PYTHON_DIR}/cdma/fsm_files
+)
+
 ########################################################################
 # Handle the unit tests
 ########################################################################
diff --git a/python/cdma_parameters.py b/python/cdma_parameters.py
index 5643461..20bb511 100644
--- a/python/cdma_parameters.py
+++ b/python/cdma_parameters.py
@@ -87,7 +87,7 @@ class cdma_parameters:
 
 print "CDMA PARAMETERS : for adaptive coded modulation"
 
-prefix="/home/anastas/gr-cdma/"  # put the prefix of your gr-cdma trunk
+prefix="@PYTHON_HOME@"  # put the prefix of your gr-cdma trunk
 
 length_tag_name = "cdma_packet_len"
 num_tag_name = "cdma_packet_num"
@@ -120,7 +120,7 @@ local_header_obj = cdma.packet_header2(bits_per_header,length_tag_name,num_tag_n
 modulation_names=["uncoded QPSK", "rate 2/3 cc &8PSK", "rate 2/4 cc &16QAM"]
 payload_mod = [digital.constellation_qpsk(),digital.constellation_8psk(),digital.constellation_16qam()]
 
-pdir=prefix+"/python/fsm_files/"
+pdir=prefix+"/fsm_files/"
 fsm=[pdir+"awgn2o2_1.fsm", pdir+"awgn2o3_8ungerboecka.fsm",pdir+"awgn2o4_8_ungerboeckc.fsm"]
 uncoded_fsm=[trellis.fsm(2,2,[1,0,0,1]),trellis.fsm(3,3,[1,0,0,0,1,0,0,0,1]),trellis.fsm(4,4,[1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1])]
 
